@media (max-width: 1440px) {
  .container-main {
    padding: 0 80px;
  }


}

@media (max-width: 1200px) {

  .container-main {
    padding: 0 60px;
  }

  .btn-primary {
    padding: 0.8rem 1.2rem;
  }

  .logo img {
    max-width: 170px;
  }


  .nav-link {
    font-size: 14px;
  }

  .hero-content-main {
    gap: 60px;
  }

  .hero-title {
    font-size: 74px;
  }

  .hero-sub p {
    font-size: 16px;
    line-height: 28px;
  }

  .section-title h1,
  .section-title-white h1,
  .section-title-white span,
  .section-title span {
    font-size: 48px;
  }

  .section-sub p,
  .section-sub-black p,
  .section-unsub p {
    font-size: 20px;
  }

  .categories-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto;
  }

  .cat-card.large,
  .cat-card.tall,
  .cat-card.regular {
    grid-column: unset;
    grid-row: unset;
    min-height: 320px;
  }

  .products-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .why-grid {
    grid-template-columns: repeat(3, 1fr);
  }

}


@media (max-width: 1024px) {

  .container-main {
    padding: 0 40px;
  }

  .btn-primary {
    padding: 10px;

  }

  .hero-content-main {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .hero-left {
    max-width: 100%;
  }

  .hero-title {
    font-size: 62px;
  }

  .hero-sub p {
    max-width: 100%;
  }

  .section-title h1,
  .section-title-white h1,
  .section-title-white span,
  .section-title span {
    font-size: 40px;
  }

  .section-sub p,
  .section-sub-black p,
  .section-unsub p {
    font-size: 18px;
  }

  .products-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .why-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .lifestyle-inner {
    grid-template-columns: 1fr;
    gap: 50px;
  }

  .testimonials-grid {
    grid-template-columns: repeat(2, 1fr);
  }

}

@media (max-width: 991px) {

  body {
    overflow-x: hidden;
  }

  .container-main,
  .container-fluid {
    padding: 0 40px;
  }

  #header-main {
    height: 80px;
  }

  nav {
    display: none;
  }

  .hamburger {
    display: flex;
  }

  .header-actions .btn-primary {
    display: none;
  }

  .mobile-nav .nav-link {
    font-size: 20px;
  }

  /* MOBILE NAV */
  .mobile-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: black;
    z-index: 999;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 20px;
    padding: 80px 20px 40px;
    transform: translateX(-100%);
    transition: transform 0.45s cubic-bezier(0.23, 1, 0.32, 1);
  }

  .mobile-nav.open {
    transform: translateX(0);

  }

  .mobile-nav .nav-link {
    font-size: 20px;
    font-weight: 600;
  }

  .btn-link {
    margin: 8px 16px 4px;
    width: 50%;
  }

  body.menu-open {
    overflow: hidden;
    height: 100vh;
  }

  .logo img {
    max-width: 180px;
  }

  .hero-main {
    min-height: auto;
    padding-top: 140px;
    padding-bottom: 90px;
  }

  .hero-title {
    font-size: 56px;
    line-height: 1;
  }

  .hero-btns {
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
  }

  .btn-primary,
  .btn-secondary {
    width: 100%;
    justify-content: center;
    padding: 16px 24px;
    font-size: 14px;
  }



  .section-title h1,
  .section-title-white h1 {
    font-size: 38px;
  }

  h2 {
    font-size: 30px;
  }

  h3 {
    font-size: 24px;
  }



  .products-grid,
  .categories-grid,
  .why-grid,
  .testimonials-grid,
  .trust-inner,
  .community-grid {
    grid-template-columns: 1fr 1fr;
  }

  .brands-track {
    gap: 20px;
  }

  .brand-pill {
    min-width: 130px;
    min-height: 70px;
    padding: 16px;
  }

  .stacked-stat-cards {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
  }

}



@media (max-width: 768px) {
  .container-main {
    padding: 0 20px;
  }

  .footer-top {
    grid-template-columns: 2fr 1fr;
  }

}

@media (max-width: 600px) {

  :root {
    --section-pad: 46px;
  }

  .container-fluid {
    padding: 0 20px;
  }

  .nl-form {
    flex-direction: column;
  }

  .products-grid,
  .categories-grid,
  .why-grid,
  .testimonials-grid,
  .trust-inner,
  .community-grid,
  .footer-top {
    grid-template-columns: 1fr;
  }

  .footer-top {
    margin-bottom: 20px;
    gap: 20px;
  }

  .section-title h1,
  .section-title-white h1,
  .section-title-white span,
  .section-title span {
    font-size: 30px;
  }

  .section-title h1,
  .section-title-white h1,
  .section-title-white span,
  .section-title span {
    font-size: 30px;
  }
}

@media (max-width: 390px) {

  .hero-stats,
  .stacked-stat-cards {
    grid-template-columns: 1fr;
  }
}